{% extends 'Default/backend.html.twig' %}
{% set ente = instance_service.getCurrentInstance() %}

{% block stylesheets %}
  {{ parent() }}
  {{ encore_entry_link_tags('operator-show-application') }}
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/element-ui/1.4.13/theme-default/index.css"
        integrity="sha512-698XkMvQis2vuqDf9fvwdvAjVWsAEwb/2yUWZZyzEEd/z3M++P03dmS/oxSIUGe7hg2aaS+MXUKQqMKi2iolxA=="
        crossorigin="anonymous" referrerpolicy="no-referrer"/>
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('operator-show-application') }}
  <script src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.2.6/vue.min.js"
          integrity="sha512-yNMXFsZbP+Hii2fM4n1EvhKbBCZ2NAfW1FvlN6yB1ZanH+1sEcNV2rPEg6qCMRT/4dY01ELCdD75WflfTHdKJg=="
          crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/element-ui/1.4.13/index.js"
          integrity="sha512-cxMPoY2pP9tAt+qy1y/9zQTKAFNtW9DT5tKin9+0qYml+iK6HdaqOS/r523pNmmps3c4E3v5rZSBQb0aA5EFKQ=="
          crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.27.2/axios.min.js"
          integrity="sha512-odNmoc1XJy5x1TMVMdC7EMs3IVdItLPlCeL5vSUPN2llYKMJ2eByTTAIiiuqLg+GdNr9hF6z81p27DArRFKT7A=="
          crossorigin="anonymous" referrerpolicy="no-referrer"></script>

  {% if feature('feature_application_detail') %}
    <script src="{{ asset('bundles/app/js/components/message_attachments.js') }}"></script>
    <script>
      let vueBundledDataMessage = {
        "attachments": [],
        "upload_url": "{{ path('operatore_allegato_messaggio_upload', {'id': pratica.id }) }}",
        "title": "{{ 'pratica.carica_allegato'|trans }}"
      };
      new Vue({
        el: "#vueApp2"
      });
    </script>
  {% endif %}
{% endblock %}


{% block main_content %}
  <section id="intro" class="container px-4 my-4">
    <div class="row">
      <div class="col px-lg-4 py-lg-2">
        <div class="chip chip-primary chip-lg truncate-wrapper">
          <span class="chip-label text-truncate"> {{ pratica.servizio.name }}</span>
        </div>
        <span class="h6 primary-color">[{{ pratica.statusName | trans }}]</span>
      </div>
      <div class="col-12 px-lg-4 py-lg-2">
        <div class="my-2">
          <h3 class="d-inline">{{ pratica.user.fullName }}</h3>
          <h4 class="d-inline pl-md-3">
            {{ fiscal_code }}
            {% if pratica.user.idp != "anonymous" %}
              <span data-toggle="tooltip" title="Identità del cittadino verificata">
                <svg class="icon icon-success"><use
                    xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-check-circle"></use></svg>
              </span>
            {% endif %}
          </h4>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-8 px-lg-4 py-lg-2">
        {{ include('Operatori/parts/operator_actions.html.twig') }}
        {{ include('Operatori/parts/pratica_summary.html.twig') }}
      </div>

      {# Sidebar #}
      <div id="sidebar" class="col-lg-4 pt-5 pt-lg-2 px-lg-2">

        <div id="accept-integration-dialog" class="d-none">
          <div class="card border-bottom-card shadow w-100 my-2">
            <div class="card-body">
              <h5 class="card-title">
                <svg class="icon">
                  <use href="/bootstrap-italia/dist/svg/sprite.svg#it-info-circle"></use>
                </svg>
                {{ 'operatori.how_accept_integrations_title'|trans }}
              </h5>
              <div class="card-text">
                {{ 'operatori.how_accept_integrations_text'|trans|raw }}
              </div>
              <div class="d-flex justify-content-around mt-4">
                <button class="btn btn-xs btn-danger">Annulla</button>
                <button class="btn btn-xs btn-success">Accetta integrazioni</button>
              </div>
            </div>
          </div>
        </div>

        <div id="application-stuff">

          <div class="row pl-4">
            {# Backoffice #}
            {% if is_granted('accept_or_reject', pratica) and pratica.servizio.backofficeFormId and (pratica.servizio.identifier != 'inefficiencies' or feature('feature_inefficiencies_backoffice')) %}
              {{ include('Operatori/parts/_application_backoffice.html.twig') }}
            {% endif %}

            {% if ente.isLinkableApplicationMeetings and incoming_meetings | length > 0 %}
              <div class="col-12 pb-3">
                <div id="accordion_meetings" class="collapse-div w-100 border-0" role="tablist">
                  <div class="collapse-header" id="headingA1">
                    <button data-toggle="collapse" data-target="#acc_meetings" aria-expanded="true"
                            aria-controls="acc_meetings">
                      {{ 'operatori.meetings_in_evidence'|trans }}
                    </button>
                  </div>
                  <div id="acc_meetings" class="collapse show" role="tabpanel" aria-labelledby="headingA1"
                       data-parent="#accordion_meetings">
                    <div class="collapse-body p-0">
                      {{ include('Operatori/parts/meeting_evidenza.html.twig') }}
                    </div>
                  </div>
                </div>
              </div>
            {% endif %}

            {% if is_granted('assign', pratica) %}
              <div class="col-12 pb-3">
                <div id="accordion_change-assignee" class="collapse-div w-100 border-0" role="tablist">
                  <div class="collapse-header" id="heading_change-assignee">
                    <button data-toggle="collapse" data-target="#acc_change-assignee" aria-expanded="false"
                            aria-controls="acc_change-assignee">
                      {{ 'operatori.operator_assign' | trans }} <span id="assignee-loader"></span>
                    </button>
                  </div>
                  <div id="acc_change-assignee" class="collapse" role="tabpanel"
                       aria-labelledby="heading_change-assignee" data-parent="#accordion_change-assignee">
                    <div class="collapse-body py-2">
                      <div class="row">
                        <div class="col-12 pb-3">
                          <form action="{{ path('operatori_pratica_change_assignee', {'pratica': pratica.id}) }}"
                                method="post">
                            {# todo: replace with autocomplete select with bts-italia2: https://italia.github.io/bootstrap-italia/docs/form/autocompletamento/ #}

                            <div class="form-group">
                              <div class="select-wrapper">
                                <select id="user_group" title="{{ 'operatori.select_user_group' | trans }}"
                                        name="user_group" required="required"
                                        data-value="{% if pratica.userGroup %}{{ pratica.userGroup.id }}{% endif %}">
                                </select>
                              </div>
                              <div class="select-wrapper mt-4">
                                <select id="operator" class="d-none" title="{{ 'operatori.select_operator' | trans }}"
                                        name="operator" disabled
                                        data-value="{% if pratica.operatore %}{{ pratica.operatore.id }}{% endif %}">
                                </select>
                              </div>
                            </div>
                            <button id="assign_operator_btn" class="btn btn-outline-warning btn-sm w-100"
                                    disabled aria-disabled="true" type="submit">{{ 'assign' | trans }}</button>
                          </form>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            {% endif %}

            {% if feature('feature_applications_priority') %}
              <div class="col-12 pb-3">
                <div id="accordion_changepriority" class="collapse-div w-100 border-0" role="tablist">
                  <div class="collapse-header" id="heading_changepriority">
                    <button data-toggle="collapse" data-target="#acc_changepriority" aria-expanded="false"
                            aria-controls="acc_changepriority">
                      {{ 'operatori.change_priority' | trans }}
                    </button>
                  </div>
                  <div id="acc_changepriority" class="collapse" role="tabpanel" aria-labelledby="heading_changepriority"
                       data-parent="#accordion_changepriority">
                    <div class="collapse-body py-2">
                      <div class="row">
                        <div class="col-12 pb-3">
                          <div class="form-group">
                            <div class="select-wrapper">
                              <select title="{{ 'pratica.select_new_status_application' | trans }}" name="priority"
                                      id="application-priority"
                                      data-url="{{ path('applications_api_patch', {'id': pratica.id}) }}">
                                {% for k, v in constant('PRIORITIES', pratica) %}
                                  <option value="{{ v }}"
                                          {% if pratica.priority == k %}selected="selected"{% endif %}>{{ ('pratica.priorities.'~v)|trans }}</option>
                                {% endfor %}
                              </select>
                            </div>
                          </div>
                          <div id="application-priority-response"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            {% endif %}

            {% if pratica.servizio.allowReopening %}
              <div class="col-12 pb-3">
                <div id="accordion_changestatus" class="collapse-div w-100 border-0" role="tablist">
                  <div class="collapse-header" id="heading_changestatus">
                    <button data-toggle="collapse" data-target="#acc_changestatus" aria-expanded="false"
                            aria-controls="acc_changestatus">
                      {{ 'operatori.cambio_stato' | trans }}
                    </button>
                  </div>
                  <div id="acc_changestatus" class="collapse" role="tabpanel" aria-labelledby="heading_changestatus"
                       data-parent="#accordion_changestatus">
                    <div class="collapse-body py-2">
                      <div class="row">
                        <div class="col-12 pb-3">
                          <form action="{{ path('operatori_show_change_status', {'pratica': pratica.id}) }}"
                                method="post">
                            <div class="form-group">
                              <div class="select-wrapper">
                                <select title="{{ 'pratica.select_new_priority_application' | trans }}" name="status"
                                        required="required">
                                  {% for state in pratica.allowedStates %}
                                    <option
                                      value="{{ state }}">{{ ('pratica.dettaglio.stato_'~state)|trans }}</option>
                                  {% endfor %}
                                </select>
                              </div>
                            </div>
                            <button class="btn btn-outline-warning btn-sm w-100"
                                    type="submit">{{ 'apply' | trans }}</button>
                          </form>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>

            {% endif %}

            {# Dati generali #}
            <div class="col-12 pb-3">
              <div id="accordion_general" class="collapse-div w-100 border-0" role="tablist">
                <div class="collapse-header" id="heading_fascicolo">
                  <button data-toggle="collapse" data-target="#acc_general" aria-expanded="false"
                          aria-controls="acc_general">
                    {{ 'operatori.dati_generali' | trans }}
                  </button>
                </div>
                <div id="acc_general" class="collapse" role="tabpanel"
                     data-parent="#accordion_general">
                  <div class="collapse-body py-2">
                    <div class="row">
                      <div class="col-12 pb-3">
                        <h6>{{ 'pratica.numero' | trans }}:</h6>
                        <code class="text-nowrap">{{ pratica.id }}</code>
                      </div>
                      {% if pratica.submissionTime %}
                        <div class="col-12 pb-3">
                          <h6>{{ 'pratica.dettaglio.data_ora_presentazione' | trans }}:</h6>
                          <span
                            class="text-nowrap">{{ pratica.submissionTime|format_date( locale=app.request.locale) }} {{ 'pratica.dettaglio.alle'|trans }} {{ pratica.submissionTime|format_time(pattern='HH:mm:ss', locale=app.request.locale) }}</span>
                        </div>
                      {% endif %}
                      {% if  pratica.numeroProtocollo %}
                        <div class="col-12 pb-3">
                          <h6>{{ 'pratica.protocollo' | trans }}:</h6>
                          <code class="text-nowrap">{{ pratica.numeroProtocollo }}</code>
                        </div>
                      {% endif %}

                      {% if  pratica.operatore %}
                        <div class="col-12 pb-3">
                          <h6>{{ 'pratica.operatore' | trans }}:</h6>
                          <p class="m-0">{{ pratica.operatore.fullName }}</p>
                        </div>
                      {% endif %}

                      {% if  pratica.userGroup %}
                        <div class="col-12 pb-3">
                          <h6>{{ 'pratica.user_group_in_charge' | trans }}:</h6>
                          <p class="m-0">{{ pratica.userGroup.name }}</p>
                        </div>
                      {% endif %}
                    </div>
                  </div>
                </div>
              </div>
            </div>

            {# Fascicolo #}
            {% if applications_in_folder|length > 0 %}
              <div class="col-12 pb-3">
                <div id="accordion_fascicolo" class="collapse-div w-100 border-0" role="tablist">
                  <div class="collapse-header" id="heading_fascicolo">
                    <button data-toggle="collapse" data-target="#acc_fascicolo" aria-expanded="false"
                            aria-controls="acc_fascicolo">
                      {{ 'operatori.in_questo_fascicolo' | trans }}
                    </button>
                  </div>
                  <div id="acc_fascicolo" class="collapse" role="tabpanel" aria-labelledby="heading_fascicolo"
                       data-parent="#accordion_fascicolo">
                    <div class="collapse-body py-2">
                      <div class="row">
                        <div class="col-12 pb-3">
                          {{ include('Operatori/parts/fascicolo.html.twig') }}
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            {% endif %}

            {# Pratiche recenti #}
            {% if pratiche_recenti|length > 0 %}
              <div class="col-12 pb-3">
                <div id="accordion_recent_applications" class="collapse-div w-100 border-0" role="tablist">
                  <div class="collapse-header" id="heading_recent_applications">
                    <button data-toggle="collapse" data-target="#acc_recent_applications"
                            aria-expanded="false" aria-controls="acc_recent_applications">
                      {{ 'operatori.ultime_pratiche' | trans }}
                    </button>
                  </div>
                  <div id="acc_recent_applications" class="collapse" role="tabpanel"
                       aria-labelledby="heading_recent_applications" data-parent="#accordion_recent_applications">
                    <div class="collapse-body py-2">
                      {{ include('Operatori/parts/pratiche_recenti.html.twig') }}
                    </div>
                  </div>
                </div>
              </div>
            {% endif %}

            {# Iter pratica #}
            <div class="col-12 pb-3">
              <div id="accordion_iter" class="collapse-div w-100 border-0" role="tablist">
                <div class="collapse-header" id="heading_iter">
                  <button data-toggle="collapse" data-target="#acc_iter" aria-expanded="false"
                          aria-controls="acc_iter">
                    {{ 'pratica.iter' | trans }}
                  </button>
                </div>
                <div id="acc_iter" class="collapse" role="tabpanel" aria-labelledby="heading_iter"
                     data-parent="#accordion_iter">
                  <div class="collapse-body py-2">
                    {{ include('Pratiche/parts/pratica_iter.html.twig') }}
                  </div>
                </div>
              </div>
            </div>

          </div>
        </div>
      </div>
    </div>
  </section>
{% endblock %}

